QGIS Application - Feature request #7793
Add marching ants to selected composer items
2013-05-09 05:14 PM - Nathan Woodrow

Status: Closed

Priority: Normal

Assignee: Nyall Dawson

Category: Map Composer/Printing

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 16685
Description

The marching ants look that photoshop and a lot of other graphics programs use is quite handy to see what is selected. | think something
like this would be good to have on the composer items.

Marching ants for those that don't know

http://www.codeproject.com/KB/WPF/wpfmarchingants/MarchingAntsSelection.jpg

Associated revisions

Revision 24d11060 - 2013-10-02 09:09 AM - Nyall Dawson
[FEATURE] Allow multi item drag and resize in composer (fix #7918)

[FEATURE] Always draw selection handles on top of composition, add dashed border for selected items (fix #7793)

Move responsibility for drawing selection mouse handles and mouse interaction with selection to new class

History

#1 - 2013-05-09 05:15 PM - Nathan Woodrow

- Target version set to Future Release - High Priority
- Category set to Map Composer/Printing

- Tracker changed from Bug report to Feature request

#2 - 2013-05-09 10:27 PM - Nyall Dawson

- Assignee set to Nyall Dawson

I'm planning on rewriting the item selection code for 2.1.0 - it's got some shortcomings at the moment, like handles hiding behind objects, and transparency
& blend modes being applied to handles. I'll take a look at this then!

#3 - 2013-10-02 12:32 AM - Nyall Dawson
- Status changed from Open to Closed

Fixed in changeset commit:"24d110606c9fa58e57feed337dd2ded0af4eaasf".
